Click or drag to resize

BrepFaceListAddRuledFace Method

Add a new face to the brep whose surface geometry is a ruled surface between two edges.

Namespace:  Rhino.Geometry.Collections
Assembly:  RhinoCommon (in RhinoCommon.dll)
Syntax
public BrepFace AddRuledFace(
	BrepEdge edgeA,
	bool revEdgeA,
	BrepEdge edgeB,
	bool revEdgeB
)

Parameters

edgeA
Type: Rhino.GeometryBrepEdge
The south side of the face's surface will run along edgeA.
revEdgeA
Type: SystemBoolean
true if the new face's outer boundary orientation along edgeA is opposite the orientation of edgeA.
edgeB
Type: Rhino.GeometryBrepEdge
The north side of the face's surface will run along edgeA
revEdgeB
Type: SystemBoolean
true if the new face's outer boundary orientation along edgeB is opposite the orientation of edgeB

Return Value

Type: BrepFace

[Missing <returns> documentation for "M:Rhino.Geometry.Collections.BrepFaceList.AddRuledFace(Rhino.Geometry.BrepEdge,System.Boolean,Rhino.Geometry.BrepEdge,System.Boolean)"]

Version Information

Rhino for Mac

Supported in: 5.4

Rhino for Windows

Supported in: 6.5
See Also